about summary refs log tree commit diff
path: root/pkgs/development/compilers/gcc
diff options
context:
space:
mode:
authorEelco Dolstra <edolstra@gmail.com>2017-09-07 12:22:33 +0200
committerEelco Dolstra <edolstra@gmail.com>2017-09-07 12:51:21 +0200
commitec8d41f08c95cff79ccb28132146226f4f75c6fe (patch)
treec371a0c81a6f2e9a6a06489daf4a4e4cff393081 /pkgs/development/compilers/gcc
parentd38ee5b46c5ca7d479786a4fa40efd53dcd748ec (diff)
downloadnixlib-ec8d41f08c95cff79ccb28132146226f4f75c6fe.tar
nixlib-ec8d41f08c95cff79ccb28132146226f4f75c6fe.tar.gz
nixlib-ec8d41f08c95cff79ccb28132146226f4f75c6fe.tar.bz2
nixlib-ec8d41f08c95cff79ccb28132146226f4f75c6fe.tar.lz
nixlib-ec8d41f08c95cff79ccb28132146226f4f75c6fe.tar.xz
nixlib-ec8d41f08c95cff79ccb28132146226f4f75c6fe.tar.zst
nixlib-ec8d41f08c95cff79ccb28132146226f4f75c6fe.zip
Revert "Merge pull request #28557 from obsidiansystems/binutils-wrapper"
This reverts commit 0a944b345e89ca0096974d168f49e1c6830c3fc2, reversing
changes made to 61733ed6ccde3427016720f2e0cd191d3d95152c.

I dislike these massive stdenv changes with unclear motivation,
especially when they involve gratuitous mass renames like NIX_CC ->
NIX_BINUTILS. The previous such rename (NIX_GCC -> NIX_CC) caused
months of pain, so let's not do that again.
Diffstat (limited to 'pkgs/development/compilers/gcc')
-rw-r--r--pkgs/development/compilers/gcc/builder.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/pkgs/development/compilers/gcc/builder.sh b/pkgs/development/compilers/gcc/builder.sh
index 443f674cf1d8..ee56425f00b4 100644
--- a/pkgs/development/compilers/gcc/builder.sh
+++ b/pkgs/development/compilers/gcc/builder.sh
@@ -25,7 +25,7 @@ if test "$noSysDirs" = "1"; then
         # Figure out what extra flags to pass to the gcc compilers
         # being generated to make sure that they use our glibc.
         extraFlags="$(cat $NIX_CC/nix-support/libc-cflags)"
-        extraLDFlags="$(cat $NIX_BINUTILS/nix-support/libc-ldflags) $(cat $NIX_BINUTILS/nix-support/libc-ldflags-before || true)"
+        extraLDFlags="$(cat $NIX_CC/nix-support/libc-ldflags) $(cat $NIX_CC/nix-support/libc-ldflags-before || true)"
 
         # Use *real* header files, otherwise a limits.h is generated
         # that does not include Glibc's limits.h (notably missing